Bug 680057 - problems with quick notes
problems with quick notes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Zim (Show other bugs)
14
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 04:07 EST by Renich Bon Ciric
Modified: 2011-03-14 06:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: Zim-0.50-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-14 06:20:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Renich Bon Ciric 2011-02-24 04:07:11 EST
Description of problem:
While trying to write a quick note and unselecting "Create a new page for each note", it triggers the following error:

Version-Release number of selected component (if applicable):
Zim-0.50-1.fc14.noarch

How reproducible:
Open up Zim; create a quick note and unselect "Create a new page for each note"

Steps to Reproduce:
1. Open Zim
2. Go to File > Quick Note
3. Enter some text and deactivate "Create a new page for each note"
4. Click OK
  
Actual results:

This is zim 0.50
Python version is sys.version_info(major=2, minor=7, micro=0, releaselevel='final', serial=0)
Gtk version is (2, 22, 0)
Pygtk version is (2, 17, 0)
Platform is posix
Zim revision is:
  branch: pyzim-trunk
  revision: 350 pardus@cpan.org-20110214213851-eh7lfm19ngipuys8
  date: 2011-02-14 22:38:51 +0100

======= Traceback =======
  File "/usr/lib/python2.7/site-packages/zim/gui/widgets.py", line 1838, in do_response
    destroy = self.do_response_ok()
  File "/usr/lib/python2.7/site-packages/zim/plugins/quicknote.py", line 293, in do_response_ok
    ui.present(page) # also works with proxy
NameError: global name 'page' is not defined


Expected results:
No errors
Comment 1 Fedora Update System 2011-03-05 19:59:34 EST
Zim-0.50-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/Zim-0.50-2.fc15
Comment 2 Fedora Update System 2011-03-05 20:07:10 EST
Zim-0.50-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/Zim-0.50-2.fc14
Comment 3 Fedora Update System 2011-03-06 16:25:54 EST
Zim-0.50-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Zim'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/Zim-0.50-2.fc14
Comment 4 Fedora Update System 2011-03-09 22:06:47 EST
Zim-0.50-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-03-14 06:20:23 EDT
Zim-0.50-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.